# Created by pyp2rpm-1.0.1
%global pypi_name sortedcontainers
%global with_python3 1
%define version 0.9.2

Name:           python-sortedcontainers
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        Sorted container data types
License:        Apache License 2.0
Source0:        https://pypi.python.org/packages/source/s/sortedcontainers/sortedcontainers-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Sorted container data types


%description -n python3-%{pypi_name}
SortedContainers is an Apache2 licensed containers library, written in
pure-Python, and fast as C-extensions.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.9.2-3.mga6
+ Revision: 970949
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.9.2-2.mga6
+ Revision: 888872
- rebuild for python 3.5

* Tue Dec 02 2014 joequant <joequant> 0.9.2-1.mga5
+ Revision: 800285
- imported package python-sortedcontainers

